<div ng-controller="PerfilCtrl">
    <div class="page page-tables-bootstrap">
        <div class="pageheader">
            <div class="page-bar">
              <ul class="page-breadcrumb">
                <li>
                  <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
                </li>
                <li>
                  <a>Perfil</a>
                </li>
              </ul>
            </div>
        </div>
         <div class="card-container">
        	<div class="panel panel-success">
        		<div class="panel-body">
        		  <span class="label label-success">DATOS PERSONALES</span>
              <div class="col-md-12 mb-5" style="border: solid 3px; border-color: #5CB85C; border-radius:4px;">
                <br>
                <div class="form-group">
                  <div class="row">
                    <div class="col-md-12">
                      <label>Nombres</label>
                      <p class="form-control" ng-bind="persona.nombre"></p>
                    </div>
                  </div>
                </div>
                <div class="form-group">
                  <div class="row">
                    <div class="col-md-6">
                      <label>Apellido Paterno</label>
                      <p class="form-control" ng-bind="persona.apellido_paterno"></p>
                    </div>
                    <div class="col-md-6">
                      <label>Apellido Materno</label>
                      <p class="form-control" ng-bind="persona.apellido_materno"></p>
                    </div>
                  </div>
                </div>
                <div class="form-group">
                  <div class="row">
                    <div class="col-md-6">
                      <label>DNI</label>
                      <p class="form-control" ng-bind="persona.dni"></p>
                    </div>
                    <div class="col-md-6">
                      <label>Teléfono</label>
                      <p class="form-control" ng-bind="persona.telefono"></p>
                    </div>
                  </div>
                </div>
                <div class="form-group">
                  <div class="row">
                    <div class="col-md-12">
                      <label>Email</label>
                      <p class="form-control" ng-bind="persona.email"></p>
                    </div>
                  </div>
                </div>
                <div class="text-center">
                  <button type="button" class="btn btn-info btn-rounded-10 btn-border"  ng-click="load(persona);openModalPersona($event)" data-options="splash-2 splash-ef-14"><i class="fa fa-refresh"></i> Actualizar datos</button>
                </div>
                <br>
              </div>
              <br>
              <span class="label label-success">DATOS DE USUARIO</span>
              <div class="col-md-12" style="border: solid 3px; border-color: #5CB85C; border-radius:4px;">
                <br>
                <div class="form-group">
                  <div class="row">
                    <div class="col-md-4">
                      <label>Usuario</label>
                      <p class="form-control" ng-bind="user.nick"></p>
                    </div>
                    <div class="col-md-4" ng-if="permisosHas('usuario.actualizar_usuario')">
                      <br>
                      <button  type="button" class="btn btn-info btn-border btn-rounded-10 btn-block" ng-click="load(user);openModalUser($event,true)" data-options="splash-2 splash-ef-14"><i class="fa fa-refresh"></i> Actualizar usuario</button>                      
                    </div>
                    <div class="col-md-4">
                      <br>
                      <button type="button" class="btn  btn-info btn-border btn-rounded-10 btn-block" ng-click="load(user);openModalUser($event,false)" data-options="splash-2 splash-ef-14"><i class="fa fa-refresh"></i> Actualizar contraseña</button>
                    </div>
                  </div>
                </div>
                <br>
              </div>
        		</div>
            <div class="panel-footer">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
        	</div>
        </div>
    </div>

    <script  type="text/ng-template" id="perfil_usuario.html">
      <div class="modal-header">
        <div class="text-center">
          <title-modal name="Datos de usuario"></title-modal>
        </div>            
      </div>
      <div class="modal-body">

        <form ng-submit="ok()">
          <div class="form-group" ng-show="obj.form">
            <label>Nick</label>
            <input type="text" class="form-control" ng-class="{'error-input' : !errorinput.success}" name="nick" ng-model="obj.nick" ng-change="validate()" placeholder="Usuario">
            <span style="color : #a94442" ng-hide="errorinput.success">{{errorinput.message}}</span>
          </div>
          <div class="form-group" ng-hide="obj.form">
            <div class="row">
              <div class="col-md-12">
                <label for="">Contraseña actual</label>
                <input type="password" class="form-control" ng-model="obj.password_actual" placeholder="Contraseña Actual">
              </div>
            </div>
          </div>
          <div class="form-group" ng-hide="obj.form">
            <div class="row">
              <div class="col-md-6">
                <label for="">Contraseña nueva</label>
                <input type="password" class="form-control" ng-model="obj.password_nuevo" placeholder="Contraseña Nueva">
              </div>
              <div class="col-md-6">
                <label for="">Confirme contraseña</label>
                <input type="password" class="form-control" ng-class="{'error-input' : !flagpass}" ng-model="obj.password_repeat" placeholder="Confirme Contraseña">
                <span style="color : #a94442" ng-hide="flagpass">La Contraseña no coincide </span>
              </div>
            </div>
          </div>
          
          <div class="text-center">
            <button type="submit" class="btn btn-primary btn-border btn-rounded-10" ng-disabled="!errorinput.success"><i class="fa fa-refresh"></i> Actualizar</button>
            <button type="button" class="btn btn-default btn-border btn-rounded-10" ng-click="cancel()"><i class="fa fa-close"></i> Cancelar</button>
          </div>
        </form>
      </div>
    </script>

    <script  type="text/ng-template" id="perfil_persona.html">
      <div class="modal-header">
        <div class="text-center">
          <title-modal name="Datos Personales"></title-modal>
        </div>            
      </div>
      <div class="modal-body">
        <form ng-submit="ok()">
          <div class="form-group">
            <div class="row">
              <div class="col-md-12">
                <label>Nombres</label>
                <input type="text" class="form-control" id="nombre" ng-model="obj.nombre" placeholder="Nombres">
              </div>
            </div>
          </div>
          <div class="form-group">
            <div class="row">
              <div class="col-md-6">
                <label>Apellido Paterno</label>
                <input type="text" class="form-control" id="apellido_paterno" ng-model="obj.apellido_paterno" placeholder="Apellido Paterno">
              </div>
              <div class="col-md-6">
                <label>Apellido Materno</label>
                <input type="text" class="form-control" id="apellido_materno" ng-model="obj.apellido_materno" placeholder="Apellido Materno">
              </div>
            </div>
          </div>
          <div class="form-group">
            <div class="row">
              <div class="col-md-6">
                <label>DNI</label>
                <input type="text" class="form-control" id="dni" ng-model="obj.dni" placeholder="DNI">
              </div>
              <div class="col-md-6">
                <label>Telefóno</label>
                <input type="text" class="form-control" id="telefono" ng-model="obj.telefono" placeholder="Celular">
              </div>
            </div>
          </div>
          <div class="form-group">
            <div class="row">
              <div class="col-md-12">
                <label>Email</label>
                <input type="text" class="form-control" id="email" ng-model="obj.email" placeholder="Correo Electronico">
              </div>
            </div>
          </div>
                  
          <div class="text-center">          
            <button type="submit" class="btn btn-primary btn-border btn-rounded-10"><i class="fa fa-refresh"></i> Actualizar</button>
            <button type="button" class="btn btn-default btn-border btn-rounded-10" ng-click="cancel()"><i class="fa fa-close"></i> Cancelar</button>
          </div>
        </form>
      </div>
    </script>
</div>